Name:      xdg-compliance
Version:   0.1
Release:   %mkrel 3

License:   MIT
URL:       http://gitorious.org/xdg-autostart/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:   xdg-autostart-%{version}.tar.bz2
Source1:   xdg-autostart.xinit
Source2:   update-menus.xinit
Patch0:    xdg-autostart-fix-include-gcc-4.7.patch
Patch2:	   xdg-autostart-autostart-fail.patch
Patch3:    xdg-autostart-OtherDEs.patch
Patch4:    xdg-autostart-0.1-look_first_sysconfdir.patch
#------------------------------------------------------------------------------#

# package xdg-compliance

Summary: Packages to help old desktop environments follow XDG standards
Group:   Graphical desktop/Other

Requires: %{name}-autostart
Requires: %{name}-menu

%description
This meta-package requires %{name}-autostart and %{name}-menu.

%files

#------------------------------------------------------------------------------#

%package autostart

Summary: XDG Autostart compliance for old desktop environments
Group:   Graphical desktop/Other

%description autostart
This package provides a xinit.d script that emulates XDG Autostart compliance
for old desktop environments.

%files autostart
%defattr(-,root,root)
%{_bindir}/xdg-autostart
%{_sysconfdir}/X11/xinit.d/xdg-autostart

#------------------------------------------------------------------------------#

%package menu

Summary: User menus for old desktop environments based on XDG Menu
Group:   Graphical desktop/Other

%description menu
This package creates user-level menus for old desktop environments following
the XDG Menu standard.

%files menu
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/update-menus

#------------------------------------------------------------------------------#

%prep

%setup -q -n xdg-autostart-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%make_install

install -D -m 755 %{_sourcedir}/xdg-autostart.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/xdg-autostart
install -D -m 755 %{_sourcedir}/update-menus.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/update-menus

%clean
rm -rf %{buildroot}




%changelog
* Sun Jun 04 2017 bb2 <bb2> - 0.1-3pclos2017
- update and sync with france

* Fri Nov 12 2015 bb <bb> 0.1-2pclos2015
- rebuild for updates
- apply new patches from mga

* Sun Sep 15 2013 pinoc <vogtpet at gmail.com> 0.1-1pclos2013
- import from MGA
